<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Image;
use File;

class ProfileController extends Controller
{
    public function index()
    {
        $orders = DB::table('orders')
//                    ->join('order_items', 'orders.id', 'order_items.order_id')
//                    ->join('order_item_ingredients', 'orders.id', 'order_item_ingredients.order_id')
//                    ->select('orders.*', 'order_items.product_item_id', )
                    ->where('client_id', Auth::user()->id)
                    ->get();
        $order_items = DB::table('order_items')->get();
        $order_item_ingredients = DB::table('order_item_ingredients')->get();


        return view('profile')->with(['orders'=>$orders, 'order_items'=>$order_items, 'order_item_ingredients'=>$order_item_ingredients]);
    }

    public function edit()
    {
        return view('profile_edit');
    }

    public function update(Request $request)
    {
        $date=date_create($request->dob);
//        $image = $request->file('profile');
//        $new_name = rand() . '.' . $image->getClientOriginalExtension();
//        $image->move(public_path('img'), $new_name);


        DB::table('users')->where('id',Auth::user()->id)->update([
            'first_name'=>$request->first_name,
            'last_name'=>$request->last_name,
            'phone'=>$request->contact,
            'dob'=>date_format($date,'Y-m-d'),
            'email'=>$request->email,
        ]);
        $addresses = json_decode($request->formdata);
        $count = count($addresses);
            DB::table('user_addresses')->where('user_id', auth()->user()->id)->delete();
        foreach($addresses as $list){
            DB::table('user_addresses')->insertOrIgnore([
                'user_id'=>auth()->user()->id,
                'address'=>$list,
            ]);
        }
        return response()->json($addresses, 200);
    }

    public function remove_address(Request $request){
        // if ($request->remove){
            DB::table('user_addresses')->where('id', $request->id)->delete();
        // }
        return response()->json('Deleted', 200);
    }
}
