<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Product;
use Jenssegers\Agent\Agent;

class MenuController extends Controller
{
    public function index(){
      $menu = get_menu();
      $menu['randomProducts'] = Product::inRandomOrder()->where('stock' , '>' , 0)->limit(3)->get();
      $agent = new Agent();
      $menu['agent'] = $agent;
      //dd($menu);
      return view('client.menu.index_menu', $menu);
    }
}
