<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class IngredientsRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'ingredients.*.ingredients_name' => 'required|unique:ingredients',
            'ingredients.*.ingredients_price' => 'required|numeric',
            'ingredients.*.ingredients_stock' => 'required|numeric',
            // 'item.*.side_menu_type' => 'numeric',
            'ingredients_desktop_pic' => 'image|nullable',
            'ingredients_mobile_pic' => 'image|nullable',
        ];
    }
}
