<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ProductCategoriesRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'category.*.category_name' => 'required|unique:product_categories',
            'category.*.side_menu_type' => 'numeric',
            'category_desktop_pic' => 'image|nullable',
            'category_mobile_pic' => 'image|nullable',
        ];
    }
}
