<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SettingsRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'settings.*.store_lat' => 'required',
            'settings.*.store_long' => 'required',
            'settings.*.store_distance' => 'required',
            'settings.*.country' => 'required',
            'settings.*.min_order_amount' => 'required',
            // 'settings.*.open_time' => 'required',
            // 'settings.*.close_time' => 'required',
            'settings.*.deactive_dates' => 'nullable',
            'settings.*.store_status' => 'required',
        ];
    }
}
