<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ProductCategory extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'desktop_pic', 'mobile_pic', 'side_menu_type','parent_id','sortable_id',
    ];

    public function products()
    {
        return $this->hasMany('App\Models\Product', 'category_id');
    }
    public function promos()
    {
        return $this->hasMany('App\Models\PromoCategory', 'category_id');
    }
}
