<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Promo extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'code', 'discount', 'applies_to', 'start_date', 'end_date', 'desktop_pic', 'mobile_pic', 'active'
    ];

    public function promoCategories()
    {
        return $this->hasMany('App\Models\PromoCategory', 'promo_id');
    }

    public function promoItems()
    {
        return $this->hasMany('App\Models\PromoItem', 'promo_id');
    }
}
