<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PromoItem extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'item_id', 'promo_id'
    ];

    protected $primaryKey = 'item_id';
    public $incrementing = false;
    public $timestamps = false;

    public function promo()
    {
        return $this->belongsTo('App\Models\Promo', 'promo_id');
    }

    public function productItems()
    {
        return $this->belongsTo('App\Models\Product', 'item_id');
    }
}
