<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;

class MenuCategories extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //        remove old all in product_categories table

        DB::table('product_categories')->truncate();

        //        add new 8 records in product_categories

        DB::table('product_categories')->insert([
            [
                'name' => 'SALMON <span>MAKI</span>',
                'desktop_pic' => 'salmon_maki1.png',
                'mobile_pic' => 'salmon_maki1.png',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ], [
                'name' => 'TEMPURA <span>PRAWNS</span>',
                'desktop_pic' => 'tempura_prawns1.png',
                'mobile_pic' => 'tempura_prawns1.png',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ], [
                'name' => 'NIGIRI <span>ROLLS</span>',
                'desktop_pic' => 'nigiri_rolls1.png',
                'mobile_pic' => 'nigiri_rolls1.png',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ], [
                'name' => 'KARAAGE <span>CALAMARI</span>',
                'desktop_pic' => 'karaage_calamari1.png',
                'mobile_pic' => 'karaage_calamari1.png',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ],



            [
                'name' => 'SALMON <span>MAKI</span>',
                'desktop_pic' => 'salmon_maki2.png',
                'mobile_pic' => 'salmon_maki2.png',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ], [
                'name' => 'TEMPURA <span>PRAWNS</span>',
                'desktop_pic' => 'tempura_prawns2.png',
                'mobile_pic' => 'tempura_prawns2.png',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ], [
                'name' => 'NIGIRI <span>ROLLS</span>',
                'desktop_pic' => 'nigiri_rolls2.png',
                'mobile_pic' => 'nigiri_rolls2.png',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ], [
                'name' => 'KARAAGE <span>CALAMARI</span>',
                'desktop_pic' => 'karaage_calamari2.png',
                'mobile_pic' => 'karaage_calamari2.png',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ]
        ]);
    }
}
