<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;

class ProductCategoriesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('product_categories')->insert([
            [
                'name' => 'BOWL',
                'desktop_pic' => '1.png',
                'header_pic' => '1.png',
                'mobile_pic' => '1.png',
                'side_menu_type' => '0',
                'icon' => '',
                'sortable_id'=>0,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ],[
                'name' => 'WRAPS',
                'desktop_pic' => '2.png',
                'header_pic' => '2.png',
                'mobile_pic' => '2.png',
                'side_menu_type' => '0',
                'icon' => '',
                'sortable_id'=>1,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ],[
                'name' => 'PLATES',
                'desktop_pic' => '3.png',
                'header_pic' => '3.png',
                'mobile_pic' => '3.png',
                'side_menu_type' => '0',
                'icon' => '',
                'sortable_id'=>2,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ],[
                'name' => 'SIDES',
                'desktop_pic' => '4.png',
                'header_pic' => '4.png',
                'mobile_pic' => '4.png',
                'side_menu_type' => '0',
                'icon' => '',
                'sortable_id'=>3,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ],[
                'name' => 'DRINKS',
                'desktop_pic' => '5.png',
                'header_pic' => '5.png',
                'mobile_pic' => '5.pn4g',
                'side_menu_type' => '0',
                'icon' => '',
                'sortable_id'=>4,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now()
            ],
        ]);
    }
}
