<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"> -->
    <meta name="viewport" content="minimal-ui, width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta name="google-signin-client_id" content="611317488736-h2dsevp4rjpdnknjrae959088bpu880m.apps.googleusercontent.com">
    <meta name="Base_URL" content="{!! env('MIX_API_DEV_URL') ? env('MIX_API_DEV_URL') : env('MIX_API_PROD_URL') !!}" />

    <title>My Sushi | Sushi Delivery in Philippines - Japanese food delivery</title>
    <meta name="description" content="Order food online from My Sushi an organic Japanese Cafe near you, offers Sashimi, Nigiri, Rolls, Donburi, Sides and drinks all over the Philippines including Makati, Mandaluyong, Pasig and Taguig"/>
    <link rel="preload" href="{{asset('css/frontend-css/app-style-sheet.css') }}" as="style">
    <link rel="preload" href="{{asset('css/frontend-css/custom-fonts.css') }}" as="style">

    <!-- canonical -->
    <link  rel="canonical" href="https://mysushi.ph">

    <!-- Favicon -->
    <link  rel="shortcut icon" type="image/png" href="{{ asset('img/favicon/favicon.ico') }}"/>

    <!-- Fonts -->
    <!-- <link href="https://fonts.googleapis.com/css?family=Poppins:200,400,500,600,700" rel="stylesheet"> -->
    <link  href="{{ asset('google-api/css/Poppins.css') }}" rel="stylesheet">
<!-- <link  href="{{ asset('css/font-awesome/5.11.2/css/all.min.css') }}" rel="stylesheet"> -->
    <link rel="stylesheet" href="{{asset('css/fontawesome-free-5.6.3-web/css/fontawesome.min.css')}}" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">


    <!-- Theme Style Assets -->
<!-- <link  href="{{ asset('css/bootstrap-grid.css') }}" rel="stylesheet"/>
        <link  href="{{ asset('css/bootstrap-reboot.css') }}" rel="stylesheet"/> -->
<!-- <link href="{{ asset('css/bootstrap.css') }}" rel="stylesheet"/> -->

    <link  href="{{ asset('google-api/css/Montserrat.css') }}" rel="stylesheet">

    <!-- Login and Registration Font Icon -->
    <link  rel="stylesheet" href="{{ asset('login-reg/fonts/material-icon/css/material-design-iconic-font.min.css') }}">

    <!-- Login and Registration Main css -->
    <link  rel="stylesheet" href="{{ asset('login-reg/css/style.css') }}">

    <!-- Styles -->
    <link  href="{{ asset('css/app.css') }}" rel="stylesheet"/>

    <script  async defer src="{{ asset('js/sortable.js') }}"  type="text/javascript"></script>
    <!-- Facebook Pixel Code -->
    {{--<script>
        !function(f,b,e,v,n,t,s)
        {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
        n.callMethod.apply(n,arguments):n.queue.push(arguments)};
        if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
        n.queue=[];t=b.createElement(e);t.async=!0;
        t.src=v;s=b.getElementsByTagName(e)[0];
        s.parentNode.insertBefore(t,s)}(window, document,'script',
        'https://connect.facebook.net/en_US/fbevents.js');
        fbq('init', '1426105640876734');
        fbq('track', 'PageView');
    </script>
    <noscript><img height="1" width="1" style="display:none"
    src="https://www.facebook.com/tr?id=1426105640876734&ev=PageView&noscript=1"
    /></noscript>
    <!-- End Facebook Pixel Code -->

    <!-- Google Analytics Tag -->
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-154156727-1"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());
        gtag('config', 'UA-154156727-1');
    </script>
    <script  async defer src="{{ asset('google-api/js/platform.js')}}"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyB82lfM26fEEr9qgOpO0DMDVk4cSqzCIW0&libraries=places"></script>--}}


    <style>
        .qty-input {
            pointer-events: none;
        }
    </style>
</head>
<body>
<div id="app">
    <App></App>
</div>
</body>
<script  async defer src="{{ asset('js/app.js') }}"  type="text/javascript"></script>
</html>
