@extends('layouts.master')
@section('nav')<nav class="navbar navbar-expand-lg navbar-light desktop-nav">@endsection
    @section('styles')

        <style>
            .button-order{
                width: 240px;
                height: 58px;
                background: #68B0AB;
                display: inline-block;
                line-height: 58px;
                text-align: center;
                font-size: 20px;
                color: white;
                font-weight: 500;
                border-radius: 5px;
                float: right;
                border: none;
            }
        </style>
    @endsection
    @section('content')
        <section class="cart-page-div cart-page-desktop" id="LoadMainCheckout">
            {{-- @if(!session('isCartEmpty')==0) --}}
            @include('boxes.checkout_main')
            {{-- @else
            <div class="col-sm-12 empty-cart-cls text-center">
                <i class="fad fa-shopping-cart" style="font-size:100px; color:#68B0AB"></i>
                <h3><strong>Your Cart is Empty</strong></h3>
                <h4>Add something to make me happy :)</h4> <a href="{{ url('menu') }}" class="btn cart-btn-transform m-3" data-abc="true" style="background-color:#68B0AB; color:white">continue shopping</a>
            </div>
            @endif --}}
        </section>
    @endsection

    @section('modal')
        <div class="modal fade" id="addtocartbtn-popup" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">

                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="fal fa-times-circle"></i></span>
                </button>
            </div>
            <div class="modal-body">
                <div class="menu-content-inner-item-popup">
                    <div class="popup-img">
                        <img src="{{asset('assets/img/dish.png')}}">
                    </div>
                    <div class="modal-popup-text">
                        <div class="menu-text">
                            <h3>Chicken Pesto </h3>
                            <span>280 kcal</span>
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut. </p>
                        </div>
                        <div class="menu-btns">
                            <a href="">₱350</a>
                            <a href=""><i class="fas fa-plus-circle"></i>ADD TO CART</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
        <div class="modal fade" id="itemadded-popup" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <div class="selected-item-popup">
                    <div class="popup-img">
                        <img src="{{asset('assets/img/tick.png')}}">
                    </div>
                    <div class="modal-added">
                        <h3>Successfully Added</h3>
                        <a href="" class="okay-btn">Okay</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
        <div class="modal fade" id="edit-address" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">

                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="fal fa-times-circle"></i></span>
                </button>
            </div>
            <div class="modal-body">
                <div class="edit-address-popup">
                    <div class="modal-editaddress">
                        <h3>Select your location</h3>
                        <input type="" name="" placeholder="TYPE YOUR ADDRESS">
                        <!-- <a href="" class="save-btn">Change Address</a> -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

    @endsection

    @section('scripts')
        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <script src="{{asset('assets/js/tether.min.js')}}"></script>
        <script src="{{asset('assets/js/checkboxselect.js')}}"></script>
        <script src="{{asset('assets/js/owl.carousel.min.js')}}"></script>
        <script type="text/javascript" src="{{asset('assets/js/bootstrap-select.js')}}"></script>
        <script type="text/javascript" src="{{asset('assets/js/jquery-ui.min.js')}}"></script>
        <script type="text/javascript" src="{{asset('assets/js/jquery.timepicker.min.js')}}"></script>
        <script src="{{asset('assets/js/semantic.min.js')}}"></script>
        <script src="{{asset('assets/js/custom.js')}}"></script>
        <script>
            jQuery(document).ready(function($) {
                $('select').selectpicker();
            });
        </script>
        <script>
            $( function() {
                $( "#datepicker" ).datepicker();
            } );
        </script>
        <script>
            jQuery(document).ready(function($) {
                $('#example2').calendar({
                    type: 'date'
                });
                $('#example3').calendar({
                    type: 'time'
                });
                $('#desktop-example2').calendar({
                    type: 'date'
                });
                $('#desktop-example3').calendar({
                    type: 'time'
                });
            });
        </script>
        <script>
            jQuery(document).ready(function(){
                $('.add').click(function () {
                    var th = $(this).closest('.wrap').find('.count');
                    th.val(+th.val() + 1);
                });
                $('.sub').click(function () {
                    var th = $(this).closest('.wrap').find('.count');
                    if (th.val() > 0) th.val(+th.val() - 1);
                });
            });
        </script>
        <script>
        var base_url = document.getElementById("base_url").value;
            function QtyIncrement(ele){
                var id = $(ele).attr('data-id');
                var counter = parseInt(document.getElementById('count'+id).value) +1;
                var price = parseInt(document.getElementById('price'+id).value)*counter;

                let _url     = base_url+`/ok/add_to_cart`;
                let _token   = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: _url,
                    type: "POST",
                    data: {
                        product_without_ingredients: id,
                        _token: _token
                    },
                    success: function(response) {
                        // $("#cart_box").load("/view/cart/box");
                        let timerInterval
                        Swal.fire({
                            timer: 1500,
                            background:'#68b0ab',
                            imageUrl:base_url+'/assets/img/logo-footer.png',
                            timerProgressBar: true,
                            didOpen: () => {
                                Swal.showLoading()
                                timerInterval = setInterval(() => {
                                    const content = Swal.getContent()
                                    if (content) {
                                        const b = content.querySelector('b')
                                        if (b) {
                                            b.textContent = Swal.getTimerLeft()
                                        }
                                    }
                                }, 100)
                            },
                            willClose: () => {
                                clearInterval(timerInterval)
                            }
                        }).then((result) => {
                            /* Read more about handling dismissals below */
                            if (result.dismiss === Swal.DismissReason.timer) {

                        document.getElementById('qty'+id).innerText = counter;
                        document.getElementById('priceTotal'+id).innerText = '₱'+price;
                        console.log(price)
                        console.log(response)

                        $("#cart_icon").load(base_url+"/view/cart/icon");
                        $("#LoadMainCheckout").load(base_url+"/view/cart/checkout/main/box");
                            }
                        });
                         },
                    error: function(response) {
                        // $("#cart_box").load("/view/cart/box");
                    }
                });

            }
            function QtyDecrement(ele){
                var id = $(ele).attr('data-id');
                var counter = parseInt(document.getElementById('count'+id).value) - 1;
                var price = parseInt(document.getElementById('price'+id).value)*counter;
                if (counter>0){
                    let _url     = base_url+`/ok/add_to_cart`;
                    let _token   = $('meta[name="csrf-token"]').attr('content');
                    $.ajax({
                        url: _url,
                        type: "POST",
                        data: {
                            decrement: id,
                            _token: _token
                        },
                        success: function(response) {
                            // $("#cart_box").load("/view/cart/box");
                            $("#cart_icon").load(base_url+"/view/cart/icon");
                            $("#LoadMainCheckout").load(base_url+"/view/cart/checkout/main/box");
                            let timerInterval
                            Swal.fire({
                                timer: 1500,
                                background:'#68b0ab',
                                imageUrl:base_url+'/assets/img/logo-footer.png',
                                timerProgressBar: true,
                                didOpen: () => {
                                    Swal.showLoading()
                                    timerInterval = setInterval(() => {
                                        const content = Swal.getContent()
                                        if (content) {
                                            const b = content.querySelector('b')
                                            if (b) {
                                                b.textContent = Swal.getTimerLeft()
                                            }
                                        }
                                    }, 100)
                                },
                                willClose: () => {
                                    clearInterval(timerInterval)
                                }
                            }).then((result) => {
                                /* Read more about handling dismissals below */
                                if (result.dismiss === Swal.DismissReason.timer) {
                                    console.log('I was closed by the timer')
                                }
                            });
                            document.getElementById('qty'+id).innerText = counter;
                            document.getElementById('priceTotal'+id).innerText = '₱'+price;
                            console.log(id)
                            console.log(response)
                        },
                        error: function(response) {
                            // $("#cart_box").load("/view/cart/box");
                        }
                    });
                }
                else{
                    let _url     =base_url+ `/remove/remove_from_cart`;
                    let _token   = $('meta[name="csrf-token"]').attr('content');
                    $.ajax({
                        url: _url,
                        type: "DELETE",
                        data: {
                            id: id,
                            _token: _token
                        },
                        success: function(response) {
                            // $("#cart_box").load("/view/cart/box");
                            $("#cart_icon").load(base_url+"/view/cart/icon");
                            $("#LoadMainCheckout").load(base_url+"/view/cart/checkout/main/box");
                            let timerInterval
                            Swal.fire({
                                timer: 1500,
                                background:'#68b0ab',
                                imageUrl:base_url+'/assets/img/logo-footer.png',
                                timerProgressBar: true,
                                didOpen: () => {
                                    Swal.showLoading()
                                    timerInterval = setInterval(() => {
                                        const content = Swal.getContent()
                                        if (content) {
                                            const b = content.querySelector('b')
                                            if (b) {
                                                b.textContent = Swal.getTimerLeft()
                                            }
                                        }
                                    }, 100)
                                },
                                willClose: () => {
                                    clearInterval(timerInterval)
                                }
                            }).then((result) => {
                                /* Read more about handling dismissals below */
                                if (result.dismiss === Swal.DismissReason.timer) {
                                    <?php session(['isCartEmpty'=>88888888888888888888])?>
                                    $("#LoadMainCheckout").load(base_url+"/view/cart/checkout/main/box");
                                }
                            });


                        },
                        error: function(response) {
                            // $("#cart_box").load("/view/cart/box");
                        }
                    });
                }

            }

            $("#paypal_charges").hide();
            $("#paypal").click(function(){
                $("#paypal_charges").show();
            });
            $("#cod").click(function(){
                $("#paypal_charges").hide();
            });

            $("#place_order").click(function(){
                let timerInterval
                Swal.fire({
                    timer: 7000,
                    background:'#68b0ab',
                    imageUrl:base_url+'/assets/img/logo-footer.png',
                    timerProgressBar: true,
                    didOpen: () => {
                        Swal.showLoading()
                        timerInterval = setInterval(() => {
                            const content = Swal.getContent()
                            if (content) {
                                const b = content.querySelector('b')
                                if (b) {
                                    b.textContent = Swal.getTimerLeft()
                                }
                            }
                        }, 100)
                    },
                    willClose: () => {
                        clearInterval(timerInterval)
                    }
                }).then((result) => {
                    /* Read more about handling dismissals below */
                    if (result.dismiss === Swal.DismissReason.timer) {
                        // console.log('I was closed by the timer')
                    }
                });
            });


                        function SaveAddress(){
                            let timerInterval
                            Swal.fire({
                                timer: 1000,
                                background:'#68b0ab',
                                imageUrl:base_url+'/assets/img/logo-footer.png',
                                timerProgressBar: true,
                                didOpen: () => {
                                    Swal.showLoading()
                                    timerInterval = setInterval(() => {
                                        const content = Swal.getContent()
                                        if (content) {
                                            const b = content.querySelector('b')
                                            if (b) {
                                                b.textContent = Swal.getTimerLeft()
                                            }
                                        }
                                    }, 100)
                                },
                                willClose: () => {
                                    clearInterval(timerInterval)
                                }
                            }).then((result) => {
                                /* Read more about handling dismissals below */
                                if (result.dismiss === Swal.DismissReason.timer) {
                                  let _url     = base_url+`/add/address`;
                                  let _token   = $('meta[name="csrf-token"]').attr('content');
                                  var address = document.getElementById("address").value
                                  $.ajax({
                                      url: _url,
                                      type: "POST",
                                      data: {
                                        address: address,
                                        _token: _token
                                      },
                                      success: function(response) {
                                          $('#add-address-popup').modal('hide');
                                          $('body').removeClass('modal-open');
                                          $('.modal-backdrop').remove();

                                          $("#LoadMainCheckout").load(base_url+"/view/cart/checkout/main/box");


                                      },
                                      error: function(response) {
                                      }
                                  });
                                }
                            });
                        }

        </script>
        <script>
            function SaveLocation(){
                let timerInterval
                Swal.fire({
                    timer: 1000,
                    background:'#68b0ab',
                    imageUrl:base_url+'/assets/img/logo-footer.png',
                    timerProgressBar: true,
                    didOpen: () => {
                        Swal.showLoading()
                        timerInterval = setInterval(() => {
                            const content = Swal.getContent()
                            if (content) {
                                const b = content.querySelector('b')
                                if (b) {
                                    b.textContent = Swal.getTimerLeft()
                                }
                            }
                        }, 100)
                    },
                    willClose: () => {
                        clearInterval(timerInterval)
                    }
                }).then((result) => {
                    /* Read more about handling dismissals below */
                    if (result.dismiss === Swal.DismissReason.timer) {
                        let _url     = base_url+`/menu/location/save`;
                        let _token   = $('meta[name="csrf-token"]').attr('content');
                        var location = document.getElementById("mySelect").value
                        $.ajax({
                            url: _url,
                            type: "POST",
                            data: {
                                location: location,
                                _token: _token
                            },
                            success: function(response) {
                                $('#ordernowid-desktop').modal('hide');
                                $('body').removeClass('modal-open');
                                $('.modal-backdrop').remove();

                                $("#LoadMainCheckout").load(base_url+"/view/cart/checkout/main/box");

                            },
                            error: function(response) {
                            }
                        });
                    }
                });
            }

            function CheckCoupon(){
                element1 = document.getElementById('CouponCode').value;

                if(element1)
                {
                    let _url     = base_url+`/check/promo`;
                    let _token   = $('meta[name="csrf-token"]').attr('content');
                    var coupon = element1;
                    $.ajax({
                        url: _url,
                        type: "POST",
                        data: {
                            promo: coupon,
                            _token: _token
                        },
                        success: function(response) {
                            var len = response.length;
                            for(var i=0; i<len; i++) {
                                var message = response[i].message;
                                var product = response[i].name;
                                var classS = response[i].class;
                                document.getElementById('CouponCodeError').innerHTML = message + product+'.';
                                document.getElementById('CouponCodeError').className = classS;
                            }
                            $("#LoadMainCheckout").load(base_url+"/view/cart/checkout/main/box");
                        },
                        error: function(response) {
                        }
                    });
                }

                else
                {
                    document.getElementById('CouponCodeError').innerHTML = 'Enter Coupon Code';
                    document.getElementById('CouponCodeError').className = 'text text-danger';
                }

            }
        </script>
@endsection
