<footer id="footer">
    <div class="container">
        <div class="row">
            <div class="footerinner">
                <div class="footer-item">
                    <div class="footer-logo">
                        <img src="{{asset('/assets/img/logo-footer.png')}}">
                    </div>
                    <div class="followus">
                        <h5>FOLLOW US</h5>
                        @if (!$footer->facebook_id==NULL)
                        <a href="https://www.facebook.com/{{ $footer->facebook_id }}"><i class="fab fa-facebook"></i></a>
                        @endif

                        @if (!$footer->facebook_id==NULL)
                        <a href="https://www.instagram.com/{{ $footer->instagram_id }}"><i class="fab fa-instagram"></i></a>
                        @endif

                    </div>
                </div>
                <div class="footer-item">
                    <div class="contactus">
                        <h5>Contact Us</h5>
                        <ul>
                            @if (!$footer->location==NULL)
                            <li><i class="fas fa-map-marker-alt"></i> {{ $footer->location }}</li>
                            @endif
                            @if (!$footer->phone1==NULL)
                            <li><i class="fas fa-phone-alt"></i>{{ $footer->phone1 }}</li>
                            @endif
                            @if (!$footer->phone2==NULL)
                            <li><i class="fas fa-phone-alt"></i>{{ $footer->phone2 }}</li>
                            @endif
                            @if (!$footer->phone3==NULL)
                            <li><i class="fas fa-phone-alt"></i>{{ $footer->phone3 }}</li>
                            @endif
                            @if (!$footer->email==NULL)
                            <li><i class="fas fa-envelope"></i>{{ $footer->email }}</li>
                            @endif
                        </ul>
                    </div>
                </div>
                <div class="footer-item">
                    <div class="contactus">
                        <h5>Food Menu</h5>
                        <ul>
                            @foreach($categories as $cat)
                            <li><a href="{{ url('menu').'/'. $cat->id}}">{{strtoupper($cat->name)}}</a></li>
                            @endforeach
                        </ul>
                    </div>
                </div>
                <div class="footer-item">
                    <h5>Don't miss out </h5>
                    <span>Sign up to get latest promos!</span>
                    <div class="promofield">
                        <label><i class="far fa-angle-right"></i></label>
                        <input type="email" name="" placeholder="Email">
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>
