@extends('layouts.master')
@section('nav')
    <nav class="navbar navbar-expand-lg navbar-light desktop-nav">
@endsection
@section('styles')
    @foreach($productsAll as $pro)
        <style>
        #addtocartbtn-popup{{$pro->id}} .modal-dialog {
            max-width: 793px;
        }
        #addtocartbtn-popup{{$pro->id}} .modal-header button {
            padding: 21px !important;
            float: left;
            width: 100%;
            text-align: left;
            margin-left: 0 !important;
        }

        #addtocartbtn-popup{{$pro->id}} .modal-header {
            padding: 0;
            background: transparent;
            border: none;
        }

        #addtocartbtn-popup{{$pro->id}} .modal-header button {
            padding: 21px !important;
            float: left;
            width: 100%;
            text-align: left;
            margin-left: 0 !important;
            margin-top: 0px;
        }

        #addtocartbtn-popup{{$pro->id}} .modal-body {
            padding: 30px 45px;
        }

        #addtocartbtn-popup{{$pro->id}} .modal-content {
            border-radius: 10px;
        }
    </style>
                <style>
                    .button-addtocart {
                        background: #68B0AB;
                        width: 192px;
                        height: 46px;
                        display: inline-block;
                        color: white;
                        line-height: 46px;
                        text-align: center;
                        font-size: 18px;
                        font-weight: 500;
                        border: none;
                    }
                </style>
    @endforeach
@endsection
@section('content')
<section class="menu-bg background-desktop-section">
</section>
<section class="menu-content menufor-desktop">
    <div class="container-fluid">
        <div class="row">
            <div class="dishes-parent-div">
                <ul class="nav nav-pills" id="pills-tab" role="tablist">
                    @foreach($categories as $cat)
                    <li class="nav-item">
                        <a class="nav-link {{$cat->id===$menu?'active':''}}" id="pills-{{strtolower($cat->name)}}-tab" data-toggle="pill" href="#pills-{{strtolower($cat->name)}}" role="tab" aria-controls="pills-{{strtolower($cat->name)}}" aria-selected="true">
                            <div class="dishes-item current-item">
                                <img src="{{$path_pic}}img/categories/{{$cat->desktop_pic}}">
                                <span>{{strtoupper($cat->name)}}</span>
                            </div>
                        </a>
                    </li>
                    @endforeach
                </ul>
            </div>
            <div class="col-md-9">
                <div class="tab-content" id="pills-tabContent">
                    @foreach($categories as $cat)
                        <div class="tab-pane fade {{$cat->id===$menu?'show active':''}}" id="pills-{{strtolower($cat->name)}}" role="tabpanel" aria-labelledby="pills-{{strtolower($cat->name)}}-tab">
                        <div class="menu-content-inner">
                            <div class="heading-text">
                                <h1>{{strtoupper($cat->name)}}</h1>
                            </div>
                            @foreach($productsAll as $pro)
                                @if($cat->id === $pro->category_id)
                                    {{--PRODUCT BOX START--}}
                                    <div class="menu-content-inner-item">
                                        <div class="menu-item-img">
                                            <img src="{{$path_pic}}img/products/{{$pro->desktop_pic}}">
                                        </div>
                                        <div class="dishinfo-inside">
                                            <div class="menu-text">
                                                <h3>{{$pro->name}} </h3>
                                                <span>{{$pro->calorie}} kcal</span>
                                                <p>
                                                   {{Str::substr($pro->description,0,30)}}<br>
                                                </p>
                                            </div>
                                            @if($pro->is_customizable==0)
                                                <div class="menu-btns">
                                                    <a href="#" class="itemprice">₱{{$pro->price}}</a>
                                                    <button style="
                                                                background: #68B0AB;
                                                                width: 192px;
                                                                height: 46px;
                                                                display: inline-block;
                                                                color: white;
                                                                line-height: 46px;
                                                                text-align: center;
                                                                font-size: 18px;
                                                                font-weight: 500;
                                                                border: none"
                                                            data-id="{{$pro->id}}" onclick="AddtoCart(this)"><i class="fas fa-plus-circle"></i><span>ADD TO CART</span></button>
                                                </div>
                                            @else
                                                <div class="menu-btns">
                                                    <a href="#" class="itemprice">₱{{$pro->price}}</a>
                                                    <a href="{{url('/select/'.$pro->id.'/ingredients')}}" style="color:white;background: #68B0AB;width: 192px;height: 46px;display: inline-block;line-height: 46px;text-align: center;font-size: 18px;font-weight: 500;">
                                                    <i class="fas fa-eye"></i>
                                                    <span>VIEW ITEM</span>
                                                    </a>
                                                </div>
                                            @endif
                                        </div>
                                    </div>
                                    {{--PRODUCT BOX  END--}}
                                @endif
                            @endforeach
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>

            <div class="col-md-3 cart-position" id="cart_box">
                @include('boxes.cart_box')
            </div>

        </div>
    </div>
</section>
@endsection

@section('modal')
    @foreach($productsAll as $pro)
    <div class="modal fade" id="addtocartbtn-popup{{$pro->id}}" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true"><i class="fal fa-times-circle"></i></span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="menu-content-inner-item-popup">
                        <div class="popup-img">
                            <div class="menu-item-img">
                                <img src="{{$path_pic}}img/products/{{$pro->desktop_pic}}">
                            </div>
                        </div>
                        <div class="modal-popup-text">
                            <div class="menu-text">
                                <h3>{{$pro->name}} </h3>
                                <span>{{$pro->calorie}} kcal</span>
                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut. </p>
                            </div>
                                @csrf
                            <div class="menu-btns">
                                    <a href="">₱{{$pro->price}}</a>
                                    <button class="button-addtocart" type="submit" name="product_without_ingredients"  value="{{$pro->id}}"><i class="fas fa-plus-circle"></i>ADD TO CART</button>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @endforeach
    <div class="modal fade" id="ordernowid" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">

                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <i class="fal fa-times-circle"></i>
                </button>
            </div>
            <div class="modal-body">
                <h5 class="modal-title" id="ordernowidlabel">Select your location</h5>
                <select id="mySelect" data-show-content="true" class="form-control">
                    <option  disabled="" selected="">SELECT YOUR LOCATION</option>
                    <option data-content="<i class='fa fa-map-marker-alt'></i> Makati"></option>
                    <option data-content="<i class='fa fa-map-marker-alt'></i> Cutlery"></option>
                    <option data-content="<i class='fa fa-map-marker-alt'></i> Cutlery2"></option>

                </select>
                <div class="calendar-item">

                    <div class="datepickeritem">

                        <div class="ui calendar" id="example2">
                            <div class="ui input left icon">
                                <i class="calendar icon"></i>
                                <input type="text" placeholder="Date">
                            </div>
                        </div>
                    </div>
                    <div class="timepicker-item">
                        <div class="ui calendar" id="example3">
                            <div class="ui input left icon">
                                <i class="time icon"></i>
                                <input type="text" placeholder="Time">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="ordernow-modalwind-btn">
                    <a href="#">ORDER FOR LATER</a>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="{{asset('assets/js/tether.min.js')}}"></script>
<script src="{{asset('assets/js/checkboxselect.js')}}"></script>
<script src="{{asset('assets/js/owl.carousel.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/bootstrap-select.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/jquery-ui.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/jquery.timepicker.min.js')}}"></script>
<script src="{{asset('assets/js/semantic.min.js')}}"></script>
<script src="{{asset('assets/js/custom.js')}}"></script>
<script>
    jQuery(document).ready(function($) {
        $('select').selectpicker();
    });
</script>
<script>
    $( function() {
        $( "#datepicker" ).datepicker();
    } );
</script>
<script>
    jQuery(document).ready(function($) {
        $('#example2').calendar({
            type: 'date'
        });
        $('#example3').calendar({
            type: 'time'
        });
        $('#desktop-example2').calendar({
            type: 'date'
        });
        $('#desktop-example3').calendar({
            type: 'time'
        });
    });
</script>

            <script>

            var base_url = document.getElementById("base_url").value;
            function Checkout(url){
              let timerInterval
              Swal.fire({
                  timer: 1500,
                  background:'#68b0ab',
                  imageUrl:base_url+'/assets/img/logo-footer.png',
                  timerProgressBar: true,
                  didOpen: () => {
                      Swal.showLoading()
                      timerInterval = setInterval(() => {
                          const content = Swal.getContent()
                          if (content) {
                              const b = content.querySelector('b')
                              if (b) {
                                  b.textContent = Swal.getTimerLeft()
                              }
                          }
                      }, 200)
                  },
                  willClose: () => {
                      clearInterval(timerInterval)
                  }
              }).then((result) => {
                  /* Read more about handling dismissals below */
                  if (result.dismiss === Swal.DismissReason.timer) {
                      document.location.href=url;
                  }
              });
            }
                function AddtoCart(ele) {
                    var id = $(ele).attr('data-id');

                    let _url     = base_url+`/ok/add_to_cart`;
                    let _token   = $('meta[name="csrf-token"]').attr('content');
                        $.ajax({
                            url: _url,
                            type: "POST",
                            data: {
                                product_without_ingredients: id,
                                _token: _token
                            },
                            success: function(response) {
                                $("#cart_box").load(base_url+"/view/cart/box");
                                $("#cart_icon").load(base_url+"/view/cart/icon");
                                let timerInterval
                                Swal.fire({
                                    timer: 1500,
                                    background:'#68b0ab',
                                    imageUrl:'/assets/img/logo-footer.png',
                                    timerProgressBar: true,
                                    didOpen: () => {
                                        Swal.showLoading()
                                        timerInterval = setInterval(() => {
                                            const content = Swal.getContent()
                                            if (content) {
                                                const b = content.querySelector('b')
                                                if (b) {
                                                    b.textContent = Swal.getTimerLeft()
                                                }
                                            }
                                        }, 200)
                                    },
                                    willClose: () => {
                                        clearInterval(timerInterval)
                                    }
                                }).then((result) => {
                                    /* Read more about handling dismissals below */
                                    if (result.dismiss === Swal.DismissReason.timer) {
                                        console.log(response);
                                        console.log(id);
                                    }
                                });
                            },
                            error: function(response) {
                                $("#cart_box").load(base_url+"/view/cart/box");
                            }
                        });

                }

            </script>
@endsection
