<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Order;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class ProfileController extends Controller
{
  public function index(){
    $orders = new Order;
    $orders_data = $orders::select('*', DB::raw('DATE_FORMAT(created_at, "%d %b, %Y at  %H:%i:%s %p") as date'))
        ->where('client_id', Auth::user()->id)
        ->orderBy('id', 'desc')->get();
    return view('client.account.account' , ['user_orders' => $orders_data]);
  }

}
