<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class PromosResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        // return parent::toArray($request);
        return [
            'id'                => $this->id,
            'name'              => $this->name,
            'code'              => $this->code,
            'discount'          => $this->discount,
            'applies_to'        => $this->applies_to,
            'start_date'        => $this->start_date,
            'end_date'          => $this->end_date,
            'desktop_pic'       => $this->desktop_pic,
            'mobile_pic'        => $this->mobile_pic,
            'is_active'         => $this->is_active,
            'categories'        => $this->promoCategories,
            'items'             => $this->promoItems,
        ];
    }
}
