<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
class AddColToOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('orders', function (Blueprint $table) {
            $table->text('address1')->after('time_deliver')->nullable()->default(null);
            $table->text('address2')->after('address1')->nullable()->default(null);
            $table->text('building_and_unit_number')->after('address2')->nullable()->default(null);
        });

        $orders =  \DB::table('orders')->get();
        foreach($orders as $v){
           $user =  \DB::table('users')->where('id', $v->client_id)->first();
           \DB::table('orders')->update([
               'address1' => $user->address1,
               'address2' => $user->address2,
               'building_and_unit_number' => $user->building_and_unit_number,
           ]);      

        }

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('orders', function (Blueprint $table) {
            //
        });
    }
}
