<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CartTotalSession extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cart_total_session', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('session_id')->nullable();
            $table->string('sub_total')->nullable();
            $table->integer('after')->nullable();
            $table->integer('ingredients_id')->nullable();
            $table->float('price')->nullable();
            $table->integer('is_product')->nullable();
            $table->integer('is_ingredients')->nullable();
            $table->integer('is_order_later')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
