<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Customization extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('customization', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slider_title')->nullable();
            $table->string('home_background_1')->nullable();
            $table->string('home_background_2')->nullable();
            $table->string('home_background_3')->nullable();
            $table->string('home_background_4')->nullable();
            $table->string('mobile_background')->nullable();
            $table->string('section_one_title')->nullable();
            $table->text('section_one_desc')->nullable();
            $table->string('section_one_image')->nullable();
            $table->string('section_two_title')->nullable();
            $table->text('section_two_desc')->nullable();
            $table->string('section_two_image')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
