<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class OrderItemIngredient extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_item_ingredients', function (Blueprint $table) {
            $table->bigInteger('product_item_id')->default(null);
            $table->bigInteger('product_ingredient_id')->default(null);
            $table->bigInteger('order_id')->default(null);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_item_ingredients');
    }
}
