<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;

class ProductsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('products')->insert([
            [
                'name' => 'BOWL One',
                'price' => '2.70',
                'stock' => '120',
                'desktop_pic' => 'sushie-1.png',
                'mobile_pic' => 'sushie-1.png',
                'category_id' => '1',
                'created_at' => Carbon::now(),
                'qty' => 0,
                'calorie' => 200,
                'limitqty' => -1,
                'updated_at' => Carbon::now(),
                'pieces' => "6",
                'allergies' => 'Soja,Cacahuète,Orge,Sésame,Blé',
            ],
            [
                'name' => 'BOWL Two',
                'price' => '2.70',
                'stock' => '120',
                'desktop_pic' => 'sushie-1.png',
                'mobile_pic' => 'sushie-1.png',
                'category_id' => '1',
                'created_at' => Carbon::now(),
                'qty' => 0,
                'calorie' => 200,
                'limitqty' => -1,
                'updated_at' => Carbon::now(),
                'pieces' => "6",
                'allergies' => 'Soja,Cacahuète,Orge,Sésame,Blé',
            ],[
                'name' => 'Wrap One',
                'price' => '2.70',
                'stock' => '120',
                'desktop_pic' => 'sushie-1.png',
                'mobile_pic' => 'sushie-1.png',
                'category_id' => '1',
                'created_at' => Carbon::now(),
                'qty' => 0,
                'calorie' => 200
                ,
                'limitqty' => -1,
                'updated_at' => Carbon::now(),
                'pieces' => "6",
                'allergies' => 'Soja,Cacahuète,Orge,Sésame,Blé',
            ],
            [
                'name' => 'Wrap Two',
                'price' => '2.70',
                'stock' => '120',
                'desktop_pic' => 'sushie-1.png',
                'mobile_pic' => 'sushie-1.png',
                'category_id' => '1',
                'created_at' => Carbon::now(),
                'qty' => 0,
                'calorie' => 200,
                'limitqty' => -1,
                'updated_at' => Carbon::now(),
                'pieces' => "6",
                'allergies' => 'Soja,Cacahuète,Orge,Sésame,Blé',
            ],

        ]);
    }
}
