@extends('client.layouts.master')
@section('content')
<div>
	
	<div class="menu_bg"></div>
	<div class="user-container">
		<div class="row" style="height:100%">
			{{--	@include('client.account.profile')
			@include('client.account.client_order') --}}
		</div>
	</div>
	<section class="myaccount-bg">
		<div class="bgheading-text">
			<h2>My Account</h2>
		</div>
	</section>
	<section class="myaccount-main">
		<div class="container">
			<div class="row">
				<div class="account-left-side">
					<div class="account-left-inner">
						<div class="account-prof">
							<img src="{{ asset('/img/account/account-img.png') }}"  />
							<h3>Jennifer David</h3>
							<span>Makati, PH</span>
							<span>31 August, 2019</span>
						</div>
						<div class="loyalitylevel">
							<div class="loyalitylevel-inner"><div class="loyalitylevel-inner-img"><img src="//mysushi.dynamologic.com/img/loyality/02.png"></div><div class="info-inside"><div class="info-inside-text"><span>MY</span><span class="sushired">SUSHI</span><span>RED</span></div><div class="info-bottom"><span>Juan Dela Cruz</span></div></div></div>
						</div>
						<div class="acc-sep"></div>
						<ul class="nav nav-tabs" id="myTab" role="tablist">
							<li class="nav-item">
								<a class="nav-link active" id="home-tab" data-toggle="tab" href="#myacc" role="tab" aria-controls="home" aria-selected="true">MY ACCOUNT</a>
							</li>
							<li class="nav-item">
								<a class="nav-link" id="profile-tab" data-toggle="tab" href="#myord" role="tab" aria-controls="profile" aria-selected="false">MY ORDERS
								</a>
							</li>
							<li class="nav-item">
								<a class="nav-link" id="contact-tab" data-toggle="tab" href="#loy" role="tab" aria-controls="contact" aria-selected="false">LOYALTY PROGRAM</a>
							</li>
						</ul>
						<div class="logout-btn">
							<a href="#">LOGOUT</a>
						</div>
					</div>
				</div>
				<div class="card account-right-side">
					<div class="account-right-side-inner">
						<div class="accont-tabs-desc">
							<div class="tab-content" id="myTabContent">
								<div class="tab-pane fade show active" id="myacc" role="tabpanel" aria-labelledby="myacc-tab">
									<div class="personal-info-editable-form">
										<div class="personal-info-div">
											<h5>PERSONAL INFORMATION</h5>
											<div class="edit-div">
												<i class="fas fa-times-circle"></i>
												<span>Cancel</span>
											</div>
										</div>
										<div class="personal-editable-form-inner">
											<div class="personal-editable-form-left">
												
												<div class="form-inpt-field">
													<label>First Name</label>
													<input type="" name="" placeholder="John">
												</div>
												<div class="form-inpt-field">
													<label>Last Name</label>
													<input type="" name="" placeholder="Doe">
												</div>
												<div class="form-inpt-field">
													<label>Email</label>
													<input type="" name="" placeholder="Enter Email">
												</div>
												<div class="form-inpt-field">
													<label>Phone</label>
													<input type="" name="" placeholder="Enter Phone">
												</div>
												<div class="form-inpt-field dob">
													<label >Date of birth</label>
													<div class="dob-inner">
														<SELECT id ="year" name = "yyyy" onchange="change_year(this)">
														</SELECT>
														<SELECT  id ="month" name = "mm" onchange="change_month(this)">
														</SELECT>
														<SELECT id ="day" name = "dd" >
														</SELECT>
													</div>
												</div>
												<div class="form-save-btn">
													<a href="#">Save</a>
												</div>
												
											</div>
											<div class="personal-editable-form-right">
												<div class="form-inpt-field">
													<label>New Password</label>
													<input type="" name="" placeholder="New Password">
												</div>
												<div class="form-inpt-field">
													<label>Confirm Password</label>
													<input type="" name="" placeholder="Confirm Password">
												</div>
												<div class="form-save-btn">
													<a href="#">Save</a>
												</div>
											</div>
										</div>
									</div>
									<div class="address-editable-form">
										<div class="personal-info-div">
											<h5>ADDRESS</h5>
										</div>
										<div class="address-field-main">
											<div class="address-fields-items">
												<span>Address 1:</span>
												<input type="" name="" placeholder="Lorem ipsum address">
												<a href=""><i class="fas fa-trash-alt"></i></a>
											</div>
											<div class="address-fields-items">
												<span>Address 2:</span>
												<input type="" name="" placeholder="Lorem ipsum address">
												<a href=""><i class="fas fa-trash-alt"></i></a>
											</div>
											<div class="address-fields-items">
												<span>Address 3:</span>
												<input type="" name="" placeholder="Lorem ipsum address">
												<a href=""><i class="fas fa-trash-alt"></i></a>
											</div>
											<div class="form-save-btn">
												<a href="#">Save</a>
											</div>
											
										</div>
									</div>
									<div class="account-personal-info-box">
										<div class="personal-info-div">
											<h5>PERSONAL INFORMATION</h5>
											<div class="edit-div">
												<i class="far fa-edit"></i>
												<span>Edit</span>
											</div>
										</div>
										<div class="personal-info-detail">
										<div class="table-responsive">
											<table class="table">
												
												<tbody>
													<tr>
														<td>Name: </td>
														<td>Jennifer David</td>
													</tr>
													<tr>
														<td>Mobile Number: </td>
														<td>+12121210001541</td>
														
													</tr>
													<tr>
														<td>Email: </td>
														<td>John@gmail.com</td>
														
													</tr>
													<tr>
														<td>Birthday: </td>
														<td>01/02/1990</td>
														
													</tr>
													
												</tbody>
											</table>
											</div>
										</div>
									</div>
									<div class="account-personal-info-box address-fields">
										<div class="personal-info-div">
											<h5>ADDRESS</h5>
											<div class="edit-div">
												<i class="fas fa-plus"></i>
												<span>Add an address</span>
											</div>
										</div>
										<div class="personal-info-detail">
										<div class="table-responsive">
											<table class="table">
												
												<tbody>
													<tr>
														<td>Address 1: </td>
														<td>Loren Impus Dolores 10, Ph</td>
														<td><i class="fas fa-pen"></i><i class="fas fa-trash-alt"></i></td>
													</tr>
													<tr>
														<td>Address 2: </td>
														<td>Loren Impus Dolores 10, Ph</td>
														<td><i class="fas fa-pen"></i><i class="fas fa-trash-alt"></i></td>
														
													</tr>
													
													
												</tbody>
											</table>
											</div>
										</div>
									</div>
								</div>
								<div class="tab-pane fade" id="myord" role="tabpanel" aria-labelledby="myord-tab">
									<div class="order-detail-myaccount">
										<div class="order-detail-item">
											<div class="personal-info-div">
												<h5>CURRENT ORDERS</h5>
											</div>
									
										
											<div class="order-detail-inner">
												<h6>ORDER DETAILS : #45454</h6>
												<div class="table-responsive">
												<table class="table">
													
													<tbody>
														<tr>
															<td>Date</td>
															<td>12 oct, 2019 at 09:20 pm</td>
														</tr>
														<tr>
															<td>Payment type:</td>
															<td><span class="cash-btn">Cash</span></td>
														</tr>
														<tr>
															<td>Status:</td>
															<td><span class="ongoing-btn">Ongoing</span></td>
														</tr>
														<tr>
															<td>Price:</td>
															<td>₱429</td>
														</tr>
														
														
													</tbody>
												</table>
												</div>
											</div>
										</div>

									    <div class="order-detail-item">
									    <div class="personal-info-div viewprev-order">
												<h5>PREVIOUS ORDERS</h5>
												<div><a href="#"><i class="fas fa-chevron-up"></i> View previous orders</a> </div>
											</div>
											<div class="order-detail-inner">
												<h6>ORDER DETAILS : #45454</h6>
												<div class="table-responsive">
												<table class="table">
													
													<tbody>
														<tr>
															<td>Date</td>
															<td>12 oct, 2019 at 09:20 pm</td>
														</tr>
														<tr>
															<td>Payment type:</td>
															<td><span class="cash-btn">Cash</span></td>
														</tr>
														<tr>
															<td>Status:</td>
															<td><span class="completed-btn">Completed</span></td>
														</tr>
														<tr>
															<td>Price:</td>
															<td>₱429</td>
														</tr>
														
														
													</tbody>
												</table>
												</div>


<br>

												<div class="table-responsive">
												<table class="table">
													<h6>ORDER DETAILS : #45454</h6>
													<tbody>
														<tr>
															<td>Date</td>
															<td>12 oct, 2019 at 09:20 pm</td>
														</tr>
														<tr>
															<td>Payment type:</td>
															<td><span class="cash-btn">Cash</span></td>
														</tr>
														<tr>
															<td>Status:</td>
															<td><span class="completed-btn">Completed</span></td>
														</tr>
														<tr>
															<td>Price:</td>
															<td>₱429</td>
														</tr>
														
														
													</tbody>
												</table>
												</div>


											</div>
										</div>


									</div>
								</div>
								<div class="tab-pane fade" id="loy" role="tabpanel" aria-labelledby="loy-tab">
									<div class="loyalityprogram-tab">
										<div class="rangeslider-div">
											<h6>You currently have <span>234 point(s)</span> </h6>
											<div class="rangeslider-wrap">
												<input type="range" min="0" max="300" step="0.5" labels="0, 160, 300">
											</div>
											<div class="account-cards">
												<ul>
													<li><img src="{{ asset('/img/account/white-small.png') }}"  /></li>
													<li><img src="{{ asset('/img/account/red-small.png') }}"  /></li>
													<li><img src="{{ asset('/img/account/black-small.png') }}"  /></li>
												</ul>
											</div>
										</div>
										<div class="acc-benefits">
											<h5>BENEFITS</h5>
											<ul>
												<li><i class="fas fa-chevron-right"></i><span>200 PHP off on 2nd order</span></li>
												<li><i class="fas fa-chevron-right"></i><span>500 PHP off on 10th order</span></li>
												<li><i class="fas fa-chevron-right"></i><span>2 products of your choice + 2 sides for your subscription anniversary</span></li>
												<li><i class="fas fa-chevron-right"></i><span>1 roll + 1 side offer on your birthday</span></li>
												
												<li><i class="fas fa-chevron-right"></i><span>Member exclusive marketing offers</span></li>
												
											</ul>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	
</div>
@endsection
@push('js')
<script type="text/javascript">
</script>
@endpush