
    <div class="col-lg-6" style="height:100%">
        <div class="order-dlts-wrapper">
            @foreach($user_orders as $order)
                @if($loop->iteration < 4)
            <div class="order-details" >
                <div class="order-series order-font">Ongoing ORDER DETAILS: #{{ $order->order_unique_id}}</div>
                <div class="flex_row">
                    <div class="details-title order-font">Date:</div>
                    <div class="order-font">{{ $order->created_at }}</div>
                </div>
                <div class="flex_row">
                    <div class="details-title order-font">Payment type:</div>
                    @if($order->payment_type == 'cod')
                        <div class="method-cash">COD</div>
                    @elseif($order->payment_type == 'paypal')
                        <div class="method-bank">PAYPAL</div>
                    @elseif($order->payment_type == 'credit_card')
                        <div class="method-card">CREDIT CARD</div>
                    @endif
                </div>
                <div class="flex_row">
                    <div class="details-title">Status:</div>
                        @switch($order->payment_status)

                            @case('new')
                                <div class="status-new">New</div>
                            @break
                            @case('preparing')
                                <div class="status-preparing">Preparing</div>
                            @break
                            @case('out_for_delivery')
                                <div class="status-out-delivery">Out For Delivery</div>
                            @break
                            @case('cancelled')
                                <div class="status-canceled">Cancelled</div>
                            @break
                            @case('completed')
                                <div class="status-completed">Completed</div>
                            @break
                            @default
                        @endswitch
                </div>
                <div class="flex_row">
                    <div class="details-title order-font">Total:</div>
                    <div class="order-font">PHP {{$order->  total_amount}}</div>
                </div>
            </div> <!-- end order-details -->
                @endif
            @endforeach
        <div class="previous-orders">
            @foreach($user_orders as $order)
                @if($loop->iteration > 3)
            <div class="order-details" >
                <div class="order-series order-font">Ongoing ORDER DETAILS: #{{ $order->order_unique_id}}</div>
                <div class="flex_row">
                    <div class="details-title order-font">Date:</div>
                    <div class="order-font">{{ $order->created_at }}</div>
                </div>
                <div class="flex_row">
                    <div class="details-title order-font">Payment type:</div>
                    @if($order->payment_type == 'cod')
                        <div class="method-cash">COD</div>
                    @elseif($order->payment_type == 'paypal')
                        <div class="method-bank">PAYPAL</div>
                    @elseif($order->payment_type == 'credit_card')
                        <div class="method-card">CREDIT CARD</div>
                    @endif
                </div>
                <div class="flex_row">
                    <div class="details-title">Status:</div>
                        @switch($order->payment_status)

                            @case('new')
                                <div class="status-new">New</div>
                            @break
                            @case('preparing')
                                <div class="status-preparing">Preparing</div>
                            @break
                            @case('out_for_delivery')
                                <div class="status-out-delivery">Out For Delivery</div>
                            @break
                            @case('cancelled')
                                <div class="status-canceled">Cancelled</div>
                            @break
                            @case('completed')
                                <div class="status-completed">Completed</div>
                            @break
                            @default
                        @endswitch
                </div>
                <div class="flex_row">
                    <div class="details-title order-font">Total:</div>
                    <div class="order-font">PHP {{$order->  total_amount}}</div>
                </div>
            </div> <!-- end order-details -->
                @endif
            @endforeach
         </div>
        </div> <!-- end order-dlts-wrapper -->
        <a onclick="toggleMore(1)" href="javascript:void(0)" class="btn btn-outline-light btn-block my-4 show-more">Show More</a>
        <a onclick="toggleMore(0)" href="javascript:void(0)" class="btn btn-outline-light btn-block my-4 hide-more">Hide More</a>
    </div>

    @push('js')
        <script>
          jQuery(document).ready(function(){
            $('.hide-more').hide();
            $('.previous-orders').hide();
          });
            function toggleMore(action){
              if(action == 1){
                $('.previous-orders').show();
                $('.show-more').hide();
                $('.hide-more').show();
              }else{
                $('.previous-orders').hide();
                $('.show-more').show();
                $('.hide-more').hide();
              }
            }

        </script>
    @endpush
@push('css')
<style>
    .order-dlts-wrapper{
        max-height: 800px;
    }
    @media screen and (max-width: 480px) {
        .order-font{
            font-size:15px !important;
        }

    }
</style>
@endpush
