<!-- start of featured benefits -->
<section>
    <div class="home-products">
        <div class="categories"><span style="color: black">FEATURED</span> BENEFITS</div>
        <div class="featured_slide mb-5">
            <div class="featured_slider owl-carousel">
<!--                 <div class="arrow-bg-left">
                    <img class="arrows" src="{{ asset('/img/slider-left.png') }}" alt="">
                </div> -->
                <div class="featured_wrapper " style="background-image:url('{{ asset('/img/athletic.png') }}');">
                    <div class="readmore_block">
                        <div>ATHLETIC</div>
                        <div onclick="readMore('ATHLETIC', '/img/athletic.png')" class="readmore-btn">READ MORE</div>
                    </div>
                </div>
                <div class="featured_wrapper" style="background-image:url('{{ asset('/img/pregnant.png') }}');">
                    <div class="readmore_block">
                        <div>PREGNANT</div>
                        <div onclick="readMore('PREGNANT', '/img/pregnant.png')" class="readmore-btn">READ MORE</div>
                    </div>
                </div>
                <div class="featured_wrapper" style="background-image:url('{{ asset('/img/kids.png') }}');">
                    <div class="readmore_block">
                        <div>KIDS</div>
                        <div onclick="readMore('KIDS', '/img/kids.png')" class="readmore-btn">READ MORE</div>
                    </div>
                </div>
                <div class="featured_wrapper" style="background-image:url('{{ asset('/img/nutrition.png') }}');">
                    <div class="readmore_block">
                        <div>NUTRITION</div>
                        <div onclick="readMore('NUTRITION', '/img/nutrition.png')" class="readmore-btn">READ MORE</div>
                    </div>
                </div>
<!--                 <div class="arrow-bg-right">
                    <img class="arrows" src="{{ asset('/img/slider-right.png') }}" alt="">
                </div> -->
            </div>
        </div>
    </div>
    <!-- end of featured benefits -->
    <!-- start featured popUp -->
    <div  id="athletic" style="display: none;" class="pop-up">
        <div class="popup-container">
            <i onclick="closePopup()()" class="icon-close close-btn"></i>
            <div class="row">
                <div class="col-md-3 athletic">
                    
                </div>
                <div class="col-md-8">
                    <div class="benefits-title">Benefits of <span>Athletic</span></div>
                    <p class="featured-info">
                        The practice of a sport requires an adequate supply of complex carbohydrates, such as rice for energy over time. The intake of digestible proteins like those of fish, helps maintain muscles. Special menus will be dedicated to you at My Sushi.
                    </p>
                </div>
            </div>
        </div>
    </div>
    <!-- end featured popUp -->
    <!-- start Pregnant popUp -->
    <div id="pregnant" class="pop-up" style="display: none;">
        <div class="popup-container">
            <i onclick="closePopup()" class="icon-close close-btn"></i>
            <div class="row">
                <div class="col-md-3 pregnant">
                    
                </div>
                <div class="col-md-8">
                    <div class="benefits-title">
                        <span>Pregnancy</span>
                    </div>
                    <p class="featured-info">
                        During pregnancy, no raw fish! But a good intake of carbohydrates is necessary, especially to avoid hypoglycemia in the 3rd trimester. Whole black rice is a very good ally. Also enjoy our recipes based on cooked fish or grilled meat without any problem.
                    </p>
                </div>
            </div>
        </div>
    </div>
    <!-- end featured popUp -->
    <!-- start KIDS popUp -->
    <div id="kids" class="pop-up" style="display: none;">
        <div class="popup-container">
            <i onclick="closePopup()" class="icon-close close-btn"></i>
            <div class="row">
                <div class="col-md-3 kids">
                </div>
                <div class="col-md-8">
                    <div class="benefits-title">
                        <span>Kids</span>
                    </div>
                    <p class="featured-info">
                        Everything is allowed at My Sushi with our Kids Box: menus adapted to their taste and appetite in a box just for them! It’s never too early to learn to eat with chopsticks and discover new flavors.
                    </p>
                </div>
            </div>
        </div>
    </div>
    <!-- end KIDS popUp -->
    <!-- start NUTRITION popUp -->
    <div id="nutrition" class="pop-up" style="display: none;">
        <div class="popup-container">
            <i onclick="closePopup()" class="icon-close close-btn"></i>
            <div class="row">
                <div class="col-md-3 nutrition">
                </div>
                <div class="col-md-8">
                    <div class="benefits-title">
                        <span>Nutrition</span>
                    </div>
                    <p class="featured-info">
                        My Sushi simplifies your life! All the ingredients and allergens of each product are specified in the product sheets. All the allergens of each product are also listed in the Menu available in your restaurant.
                    </p>
                </div>
            </div>
        </div>
    </div>
    <!-- end NUTRITION popUp -->
</section>

@push('js')

<script type="text/javascript">
    
    function readMore(name,image){
        if(name == 'ATHLETIC'){
            $('#athletic').css({'display':'block'});
        
            var img = $('<img />', {
              src     : image,
              'class' : 'feat-img'
            });

            $('.athletic').html(img).show();
        }

        if(name == 'PREGNANT'){
            $('#pregnant').css({'display':'block'});
             
             var img = $('<img />', {
              src     : image,
              'class' : 'feat-img'
            });

            $('.pregnant').html(img).show();
        }

        if(name == 'KIDS'){
            $('#kids').css({'display':'block'});
            
            var img = $('<img />', {
              src     : image,
              'class' : 'feat-img'
            });

            $('.kids').html(img).show();
        }

        if(name == 'NUTRITION'){
            $('#nutrition').css({'display':'block'});
             
            var img = $('<img />', {
              src     : image,
              'class' : 'feat-img'
            });

            $('.nutrition').html(img).show();
        }

    }

    function closePopup(){
        $('#athletic').css({'display':'none'});
        $('#pregnant').css({'display':'none'});
        $('#kids').css({'display':'none'});
        $('#nutrition').css({'display':'none'});
    }
         
      </script>  
    @endpush

    @push('css')
    <style>
        .popup-container{
            margin-top: 10%;
        }
    </style>
        
    @endpush

