@extends('client.layouts.master' , ['pageType' => 'loyalty'])
@section('content')
   
   <section class="loyality-program">
  <div class="container">
    <div class="row">
      <div class="heading-text">
        <h1>LOYALTY PROGRAM</h1>
      </div>
    </div>
  </div>
</section>

<section class="loyality-maincontent">
	<div class="container">
		<div class="row">
			<div class="maincontent-heading">
				<h2>JOIN THE LOYALTY PROGRAM</h2>
				</div>
				<div class="maincontent-text">
				<p>Lorem ipsum dolor sit amet, mollis assueverit reprehendunt vim ad, ad atqui intellegebat mel. Stet hinc tacimates in vim. Qui semper equidem recteque te, regione disputationi mei eu. Eum delectus interesset id, invenire mediocrem id mei, sea id tibique appetere neglegentur.</p>
				<a class="joinbtn" href="#">JOIN NOW</a>
<img src="{{ asset('/img/loyality/vert.png') }}"  />
				</div>

			</div>

		</div>
	</div>
</section>

 <section class="loyality-howitwork">
  <div class="container">
    <div class="row">
      <div class="heading-text">
        <h1>How it works?</h1>
      </div>
	</div>
      <div class="howitwork-main">
     	<div class="row">
     		<div class="col-md-4">
     			<div class="howitwork-inner">	
     				<div class="howitwork-img">
     					<img src="{{ asset('/img/loyality/icon1.png') }}"  />
     				</div>
     				<h3>1. Join the program</h3>
     				<p>Lorem ipsum dolor sit amet, mollis assueverit reprehendunt vim ad, ad atqui intellegebat mel. Stet hinc tacimates in vim. </p>
				</div>
     		</div>
     		<div class="col-md-4">
     			<div class="howitwork-inner">	
     				<div class="howitwork-img">
     					<img src="{{ asset('/img/loyality/icon2.png') }}"  />
     				</div>
     				<h3>2. Accumulate points</h3>
     				<p>Lorem ipsum dolor sit amet, mollis assueverit reprehendunt vim ad, ad atqui intellegebat mel. Stet hinc tacimates in vim. </p>
				</div>
     		</div>
     		<div class="col-md-4">
     			 <div class="howitwork-inner">	
     			 	<div class="howitwork-img">
     					<img src="{{ asset('/img/loyality/icon3.png') }}"  />
     				</div>
     				<h3>3. Get your reward card</h3>
     				<p>Lorem ipsum dolor sit amet, mollis assueverit reprehendunt vim ad, ad atqui intellegebat mel. Stet hinc tacimates in vim. </p>
				</div>
     		</div>
     	</div> 	
      </div>
    </div>
</section>

<div class="gap"><img src="{{ asset('/img/loyality/vert.png') }}"  /></div>


<section class="timeline-img desktop-hidden">
	<div class="container">
		<div class="row">
			<div class="timeline-middle-img">
				<img src="{{ asset('/img/loyality/horiz.png') }}"  />
			</div>
		</div>
</div>
</section>


<section class="loyality-level">
  <div class="container">
    <div class="row">
      <div class="heading-text">
      	<h2>Loyalty Levels</h2>
      </div>

            <div class="loyalitylevel">
     	<div class="row">
     		<div class="col-md-4">
     			<div class="loyalitylevel-inner">	
     				<div class="loyalitylevel-inner-img">
     					<img src="{{ asset('/img/loyality/01.png') }}"  />
     				</div>

					<div class="info-inside">
	     				<div class="info-inside-text">
		     				<span>MY</span><span class="sushiwhite">SUSHI</span>
		     				<span>WHITE</span>
	     				</div>
	     				<div class="info-bottom">
	     					<span>Juan Dela Cruz</span>
	     				</div>
	     			</div>
				</div>


			    <div class="winnercards-inner desktop-hidden">	
	     				<div class="winnercards-heading">
	     					<div class="winnercard-img">
	     						<img src="{{ asset('/img/loyality/round.png') }}"  />
	     					</div>
	     					<div class="winnercard-text">
	     						<h5>White Card</h5>
	     						<span>200 PTS</span>
	     					</div>
	     				</div>

						<div class="winnercard-inside">
						<ul>
							<li>- 200 PHP off on 2nd order</li>
							<li>- 1 roll + 1 side offer on your birthday</li>
							<li>- Member exclusive marketing offers</li>
							<li>- 1 entry / raffle</li>
						</ul>

		     			</div>
				</div>



     		</div>
     		<div class="col-md-4">
     			<div class="loyalitylevel-inner">	
     				<div class="loyalitylevel-inner-img">
     					<img src="{{ asset('/img/loyality/02.png') }}"  />
     				</div>

					<div class="info-inside">
	     				<div class="info-inside-text">
		     				<span>MY</span><span class="sushired">SUSHI</span>
		     				<span>RED</span>
	     				</div>
	     				<div class="info-bottom">
	     					<span>Juan Dela Cruz</span>
	     				</div>
	     			</div>
				</div>

			    <div class="winnercards-inner desktop-hidden">	
	     				<div class="winnercards-heading">
	     					<div class="winnercard-img">
	     						<img src="{{ asset('/img/loyality/round.png') }}"  />
	     					</div>
	     					<div class="winnercard-text">
	     						<h5>Red Card</h5>
	     						<span>200 - 600 PTS</span>
	     					</div>
	     				</div>

						<div class="winnercard-inside">
						<ul>
							<li>- 200 PHP off on 2nd order</li>
							<li>- 1 roll + 1 side offer on your birthday</li>
							<li>- Member exclusive marketing offers</li>
							<li>- 500 PHP off on 10th order</li>
							<li>- 2 products of your choice + 2 sides</li>
							<li>for your subscription anniversary</li>
							<li>- 2 entries / raffle</li>
						</ul>

		     			</div>
					</div>


     		</div>
     		<div class="col-md-4">
     			<div class="loyalitylevel-inner">	
     				<div class="loyalitylevel-inner-img">
     					<img src="{{ asset('/img/loyality/03.png') }}"  />
     				</div>

					<div class="info-inside">
	     				<div class="info-inside-text">
		     				<span>MY</span><span class="sushiblack">SUSHI</span>
		     				<span>BLACK</span>
	     				</div>
	     				<div class="info-bottom">
	     					<span>Juan Dela Cruz</span>
	     				</div>
	     			</div>
				</div>
				
				<div class="winnercards-inner desktop-hidden">	
	     				<div class="winnercards-heading">
	     					<div class="winnercard-img">
	     						<img src="{{ asset('/img/loyality/round.png') }}"  />
	     					</div>
	     					<div class="winnercard-text">
	     						<h5>Black Card</h5>
	     						<span>600+ PTS</span>
	     					</div>
	     				</div>

						<div class="winnercard-inside">
						<ul>
							<li>- 200 PHP off on 2nd order</li>
							<li>- 1 roll + 1 side offer on your birthday</li>
							<li>- Member exclusive marketing offers</li>
							<li>- 500 PHP off on 10th order</li>
							<li>- 2 products of your choice + 2 sides</li>
							<li>for your subscription anniversary</li>
							<li>- VIP treatment of all your orders</li>
							<li>- Christmas Gift: 1 (one) free premium</li>
							<li>box of your choice.</li>
							<li>- 3 entries / raffle</li>
						</ul>

		     			</div>
					</div>


     		</div>
     	</div> 	
      </div>


    </div>
  </div>
</section>

<section class="timeline-img mobile-hidden">
	<div class="container">
		<div class="row">
			<div class="timeline-middle-img">
				<img src="{{ asset('/img/loyality/horiz.png') }}"  />
			</div>
		</div>

		<div class="winner-card">
			<div class="row">
				<div class="col-md-4">
	     			<div class="winnercards-inner">	
	     				<div class="winnercards-heading">
	     					<div class="winnercard-img">
	     						<img src="{{ asset('/img/loyality/round.png') }}"  />
	     					</div>
	     					<div class="winnercard-text">
	     						<h5>White Card</h5>
	     						<span>200 PTS</span>
	     					</div>
	     				</div>

						<div class="winnercard-inside">
						<ul>
							<li>- 200 PHP off on 2nd order</li>
							<li>- 1 roll + 1 side offer on your birthday</li>
							<li>- Member exclusive marketing offers</li>
							<li>- 1 entry / raffle</li>
						</ul>

		     			</div>
					</div>
				</div>

				<div class="col-md-4">
					<div class="winnercards-inner">	
	     				<div class="winnercards-heading">
	     					<div class="winnercard-img">
	     						<img src="{{ asset('/img/loyality/round.png') }}"  />
	     					</div>
	     					<div class="winnercard-text">
	     						<h5>Red Card</h5>
	     						<span>200 - 600 PTS</span>
	     					</div>
	     				</div>

						<div class="winnercard-inside">
						<ul>
							<li>- 200 PHP off on 2nd order</li>
							<li>- 1 roll + 1 side offer on your birthday</li>
							<li>- Member exclusive marketing offers</li>
							<li>- 500 PHP off on 10th order</li>
							<li>- 2 products of your choice + 2 sides</li>
							<li>for your subscription anniversary</li>
							<li>- 2 entries / raffle</li>
						</ul>

		     			</div>
					</div>
				</div>

				<div class="col-md-4">
					<div class="winnercards-inner">	
	     				<div class="winnercards-heading">
	     					<div class="winnercard-img">
	     						<img src="{{ asset('/img/loyality/round.png') }}"  />
	     					</div>
	     					<div class="winnercard-text">
	     						<h5>Black Card</h5>
	     						<span>600+ PTS</span>
	     					</div>
	     				</div>

						<div class="winnercard-inside">
						<ul>
							<li>- 200 PHP off on 2nd order</li>
							<li>- 1 roll + 1 side offer on your birthday</li>
							<li>- Member exclusive marketing offers</li>
							<li>- 500 PHP off on 10th order</li>
							<li>- 2 products of your choice + 2 sides</li>
							<li>for your subscription anniversary</li>
							<li>- VIP treatment of all your orders</li>
							<li>- Christmas Gift: 1 (one) free premium</li>
							<li>box of your choice.</li>
							<li>- 3 entries / raffle</li>
						</ul>

		     			</div>
					</div>
				</div>





     			</div>
			</div>
		</div>
	</div>
</section>

<div class="gap"><img src="//mysushi.dynamologic.com/img/loyality/vert.png"></div>

 <section class="quarterly-raffle">
  <div class="container">
    <div class="row">
      <div class="heading-text">
        <h1>Quarterly Raffle</h1>
      </div>
	</div>
      <div class="quarterly-raffle-main">
     	<div class="row">
     		<div class="col-md-4">	
     				<div class="quarterly-raffle-img">
     					<img src="{{ asset('/img/loyality/ticket.png') }}"  />
     				</div>
			</div>

			     		<div class="col-md-4">	
     				<div class="quarterly-raffle-img">
     					<img src="{{ asset('/img/loyality/screen.png') }}"  />
     				</div>
			</div>


			 <div class="col-md-4">	
     				<div class="quarterly-raffle-img">
     					<img src="{{ asset('/img/loyality/bag.png') }}"  />
     				</div>
			</div>


     	</div> 	

     	<div class="quarterly-raffle-middle-text">
     		<p>Lorem ipsum dolor sit amet, mollis assueverit reprehendunt vim ad, ad atqui intellegebat mel. Stet hinc tacimates in vim.  Lorem ipsum dolor sit amet, mollis assueverit reprehendunt vim ad, ad atqui intellegebat
tacimates in vim.  Lorem ipsum dolor sit amet.</p>
<a class="btn-joinloyality" href="#">Join Now Loyalty program now</a>
     	</div>
      </div>
    </div>
</section>

@endsection