<!-- Start of popup -->
<div class="pop-up" style="display: none;">
  <div class="popup-container">
    <i class="icon-close close-btn" onclick="closeMe()"></i>
    <div class="popUp-overview mb-5">
      <div class="overview-container">
        <div class="active-item-image"></div>
      </div>
      <div class="overview-container">
        <div class="popUp-prdcName">
          <div class="active-item-title"></div>
        </div>
        <div class="popUp-priceDtls">
          
        </div>
        <div class="popUp-title">Composition</div>
        <div class="d-flex flex-wrap composition-list">
          
        </div>
      </div>
    </div>
    <div class="popUp-overview">
      <div class="overview-container">
        <div style="color:#bb4430" class="allergy-sgt mb-3">You Will Also Like</div>
        <div class="sgt-prd">
          @foreach($randomProducts as $random_suggestion)
          <div class="sgt-item">
            <img
            onclick="changeActiveItem('{{ $random_suggestion }}')"
            style="cursor:pointer;"
            src="/img/products/{{ $random_suggestion->desktop_pic }}"
            alt
            />
            <div>
              <h6>{{ $random_suggestion->name }}</h6>
              <div class="flex-row-center">
                <div>
                  ₱ {{ $random_suggestion->price }}
                  <span>| {{ $random_suggestion->pieces }} pcs</span>
                </div>
                <div class="add-btn" onclick="addToCart('{{ $random_suggestion }}')">+</div>
              </div>
            </div>
          </div>
          @endforeach
        </div>
      </div>
      <div class="overview-container">
        <div class="allergy-sgt">Allergènes</div>
          <div class="allergyContainer allergense">
            
          </div>
        <hr class="popUp-line" />
        <div class="popUp-btn-wrapper">
          <div class="flex_row">

            <input type="hidden" class="id">
            <input type="hidden" class="name">
            <input type="hidden" class="desktop_pic">
            <input type="hidden" class="price">
            <input type="hidden" class="pieces">
            <input type="hidden" class="remove_style">
            <input type="hidden" class="minus_style">

            <div class="popup-qty" style="color:#bb4430; font-weight: 700;" onclick="minusQty()">-</div>
            <input class="popup-qty cart-qty" type="text" value="1" />
            <div class="popup-qty" style="color:#bb4430; font-weight: 700;" onclick="addQty()">+</div>
          </div>
          <div class="popup-add" onclick="addToPopupCart()">ADD TO CART</div>
        </div>
      </div>
    </div>
  </div>
</div>

<script type="text/javascript">

  function changeActiveItem(item){
    var html = '';
    var aller = $.parseJSON(item);

    $('.id').val(aller.id);
    $('.name').val(aller.name);
    $('.desktop_pic').val(aller.desktop_pic);
    $('.price').val(aller.price);
    $('.pieces').val(aller.pieces);
    

    var alleryArr = aller.allergies.split(',');

      alleryArr.forEach(function(allergies){
        html +='<div class="d-center-col " onclick="toggleAllergy(aller)" >' 
      +'<span><i class="icon-'+aller.name+'" style="color:#bb4430"></i></span>'
      +'<span><i class="icon-Soja"></i></span>'
      +'<span class="popup-subtext">'+allergies+'</span>'
      +'</div>';
      
      });

      $('.allergense').html(html);

    
    var img = $('<img />', {
    src:'/img/products/'+aller.desktop_pic,
    'class':'popup-img',
      'style': 'width: 200px;',
    });

    $('.active-item-image').html(img);
    $('.active-item-title').html(aller.name);
    $('.popUp-priceDtls').html('<b>₱ '+aller.price+'</b> | '+aller.pieces+' PCS');

    ingredients(aller);
    

  } 


 
  function minusQty(){
    var minus_qty = 0;
    var oldVal = $('.cart-qty').val();

    if(oldVal > 0){
      minus_qty = parseFloat(oldVal) - 1;
    }

  $('.cart-qty').val(minus_qty);

  }

 
  function addQty(){
     var add_qty = 0;
    var oldVal = $('.cart-qty').val();
    add_qty = parseFloat(oldVal) + 1;

    $('.cart-qty').val(add_qty);

  }

  function addToPopupCart(){
    var newItem      = true;
    var totalAmount  = 0;
    var  id          = $('.id').val();
    var  name        = $('.name').val();
    var  desktop_pic = $('.desktop_pic').val();
    var  price       = parseFloat($('.price').val());
    var  pieces      = $('.pieces').val();
    var qty          = parseInt($('.cart-qty').val());
    var  remove_style= $('.remove_style').val();
    var  minus_style = $('.minus_style').val();

    if(qty == 1){
      remove_style  = 'btn_visible';
      minus_style   = 'btn_invisible';
    } else {
      remove_style  = 'btn_invisible';
      minus_style   = 'btn_visible';
    }


    var cart  = localStorage.getItem("items");
    var exCart = cart ? JSON.parse(cart) : [];

    exCart.forEach(function(cartItem){

      if(cartItem.id == id){
        cartItem.qty  += qty;
        cartItem.price = price ;
        cartItem.pieces= pieces ;

        if(cartItem.qty == 1){

           cartItem.remove_style = 'btn_visible';
           cartItem.minus_style = 'btn_invisible';
          
        } else {

          cartItem.remove_style = 'btn_invisible';
          cartItem.minus_style = 'btn_visible';

        }
        newItem = false;
      }
      
      totalAmount += cartItem.price * cartItem.qty + price;

    });


    if(newItem){

      exCart.push({
        id          :id,
        name        :name,
        desktop_pic :desktop_pic,
        qty         :qty,
        price       :price,
        pieces      :pieces,
        remove_style:remove_style,
        minus_style :minus_style,
      });

    }

    

    if(totalAmount == 0){
      totalAmount = price * qty;
    }

    localStorage.setItem("total_amount", JSON.stringify(totalAmount));
    localStorage.setItem("items", JSON.stringify(exCart));

    showCartItem();
    showTotalAmount();

     $('.pop-up').hide();
      toastMessage('Item added in your cart');
  }
// export default {
//   props: ["item", "products"], // declare the props
//   mounted() {},
//   data() {
//     return {
//       searchAddress: [],
//       suggestions: []
//     };
//   },
//   methods: {
//     toggleAllergy(allergy) {
//       allergy.selected = allergy.selected ? false : true;
//       console.info(allergy.selected);
//     },
//     changeActiveItem(newitem) {
//       if (!newitem.qty) newitem.qty = 1;
//       this.item = newitem;
//     },
//     closeMe() {
//       this.$emit("hidePopup");
//       this.$parent.activePopup = null;
//     },
//     addQty() {
//       this.item.qty = this.item.qty + 1;
//       this.$forceUpdate();
//       console.info(this.item.qty);
//     },
//     minusQty() {
//       this.item.qty--;
//       console.info(this.item.qty);
//       this.$forceUpdate();
//     },
//     addToCart(myitem) {
//       this.$parent.addToCart(myitem);
//       this.$parent.activePopup = null;
//     }
//   },
//   created() {
//     if (!this.item.qty) {
//       this.item.qty = 1;
//     }
//     this.suggestions = [];
//     for (var i = 0; i < 3; i++) {
//       var randomNumber = Math.floor(Math.random() * this.products.length);
//       console.log(randomNumber);
//       this.suggestions.push(this.products[randomNumber]);
//     }
//   }
// };
</script>
<style scoped>
.popup-qty {
  cursor: pointer;
}
.popup-add {
  cursor: pointer;
}
.add-btn {
  cursor: pointer;
}
</style>
