@extends('client.layouts.master')
@section('content')
    <div class="cart-banner">
        <!-- start of progress bar -->
        <div class="pgrs-bar">
            <div class="d-center-col" onclick="jumpStep(0)">
                <div id="progress_1" class="active-dot"></div>
                {{-- <div v-else class="active-dot"></div> --}}
                <div id="active_prcs_1" class="active-prcs">YOUR ORDER</div>
            </div>
            <hr class="line-prgs" />
            <div class="d-center-col" onclick="jumpStep(1)">
                <div id="progress_2" class="active-dot"></div>

                <div id="active_prcs_2" class="active-prcs">VERIFICATION</div>
            </div>
            <hr class="line-prgs" />
            <div class="d-center-col">
                <div id="{{ Auth::user()?'progress_3':'' }}" class="active-dot"></div>

                <div id="{{ Auth::user()?'active_prcs_3':'' }}" class="active-prcs">PAYMENT</div>
            </div>
        </div>
        <!-- start of progress bar -->
    </div>
    <div class="menu_bg"></div>
    @if($response == 'success')
        @include('client.ordermsgs.success')
    @else
        @include('client.ordermsgs.failed')
    @endif
@endsection

@push('js')
    <script type="text/javascript">
      jQuery(document).ready(function($) {

          @php
              $menu_id=null;
              $clear_status = request('clearToken');
          @endphp
            @if($clear_status)
                localStorage.removeItem('items');
                localStorage.removeItem('total_amount');
                localStorage.removeItem('final_total');
                localStorage.removeItem('promoCode');
                localStorage.removeItem('discount');
                localStorage.removeItem('delivery');
                localStorage.removeItem('deliverydate');
                localStorage.removeItem('deiverytime');
                localStorage.removeItem('promo');
                localStorage.removeItem('promo_is_used');
                localStorage.removeItem('active_payment');
            @endif
      });
    </script>
@endpush