<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

Auth::routes();
 Route::group(['middleware' => 'web'], function(){
     Route::get('/', function(){
         return redirect('/auth');
     });
 });

Route::group(['prefix' => '' ], function () {
//  Route::get('', function () {
//    return view('welcome');
//  });

  // Route::any('/{any?}', function ($any) {
  //   return view('welcome');
  // })->where('any', '^((?!api).)*');

  Route::get('/{any}', function ($any) {

    return view('welcome');

  })->where('any', '.*');
});
