<div class="col-md-6">
    <div class="site-registeration-right-section">
        <div class="register-heading-text">
            <h2>Register</h2>
            <p>Create an account.</p>
        </div>
        <div class="register-form">
            <form method="POST" action="{{ route('register') }}">
                @csrf
                <div class="register-input">
                    <input type="text" placeholder="First Name" class="form-control @error('first_name') is-invalid @enderror" name="first_name" value="{{ old('first_name') }}" required autocomplete="first_name" autofocus>
                </div>
                <div class="register-input">
                    <input type="text" placeholder="Last Name" class="form-control @error('last_name') is-invalid @enderror" name="last_name" value="{{ old('last_name') }}" required autocomplete="last_name" autofocus>
                </div>
                <div class="register-input">
                    <input type="email" placeholder="Email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
                </div>
                <div class="register-input">
                    <input type="text" placeholder="Phone Number" class="form-control @error('phone') is-invalid @enderror" name="phone" value="{{ old('phone') }}" required autocomplete="phone" autofocus>
                </div>
                <div class="register-input dateofb">
                    <SELECT id ="day" name = "dd" >
                    </SELECT>
                    <SELECT  id ="month" name = "mm" onchange="change_month(this)">
                    </SELECT>
                    <SELECT id ="year" name = "yyyy" onchange="change_year(this)">
                    </SELECT>
                </div>
                <div class="register-input">
                    <input placeholder="Password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="new-password">
                </div>
                <div class="register-input">
                    <input type="password" placeholder="Confirm Password" name="password_confirmation" required autocomplete="new-password">
                </div>
                <div class="register-input">
                    <input type="submit" value="REGISTER">
                </div>
                <div class="register-text">
                    <span>or register with</span>
                </div>
                <div class="register-socialicon">
                    <a href="{{ url('auth/facebook') }}"><i class="fab fa-facebook"></i></a>
                    <a href="{{ url('auth/google') }}"><i class="fab fa-google-plus"></i></a>
                </div>
            </form>
        </div>
    </div>
</div>
