@if(session('isCartEmpty')==0 || session('isCartEmpty')==88888888888888888888)
<div class="col-sm-12 empty-cart-cls text-center">
    <i class="fad fa-shopping-cart" style="font-size:100px; color:#68B0AB"></i>
    <h3><strong>Your Cart is Empty</strong></h3>
    <h4>Add something to make me happy :)</h4> <a href="{{ url('menu') }}" class="btn cart-btn-transform m-3" data-abc="true" style="background-color:#68B0AB; color:white">Order Now</a>
</div>
@else
<?php
$total=0;
$qty=0;
$deliveryFee = 0
?>
@php($promo = session('promo_discount')[0]['promo_discount'])
<div class="container-fluid">
    <form action="{{ url('charge') }}" method="post">
      {{ csrf_field() }}
    <div class="row">
        <div class="col-md-7">
            <div class="cartpage-inner-parent">
                <div class="cartpage-inner">
                    <div class="cartpage-left">
                        <h3>Your Order</h3>
                        <table class="table table-borderless table-responsive">
{{--                            @include('boxes.cart_checkout_box')--}}
                            <tbody>
                            @if(!session('cart')==NULL)
                                @foreach(session('cart') as $key=>$cart)
                                    <tr>
                                        <td><span class="table-quantity"><span id="qty{{$key}}">{{$cart['quantity']}}</span>x</span></td>
                                        <td><span class="table-title">{{$cart['name']}}</span>
                                            <span class="table-desc">
                                                @if(!session('product'.$key)==NULL)
                                                    @foreach(session('product'.$key) as $ingredients)
                                                        {{$ingredients['name']}},
                                                    @endforeach
                                                @endif
                                            </span>
                                            @if(session('promo_discount')[0]['id'] == $key && session('promo_discount')[0]['promo_discount']!=0)
                                                @php($minus = ($cart['price']/$promo)*$cart['quantity'])
                                                <span class="table-desc">Coupon {{session('promo_discount')[0]['code']}} ({{session('promo_discount')[0]['promo_discount']}}%) : -₱{{$minus}}</span>
                                            @else
                                                @php($minus = 0)
                                            @endif
                                        </td>
                                        <td>
                                                <input type="hidden" value="{{$cart['price']}}" id="price{{$key}}">
                                                <span class="table-price" id="priceTotal{{$key}}">₱{{($cart['price']*$cart['quantity'])-$minus}}</span>
                                            <div class="wrap">
                                                <button type="button" id="sub" class="sub" data-id="{{$key}}" onclick="QtyDecrement(this)">-</button>
                                                <input class="count" type="text" data-id="{{$key}}"  id="count{{$key}}" value="{{$cart['quantity']}}" min="1" max="100" />
                                                <button type="button" id="add" class="add" data-id="{{$key}}" onclick="QtyIncrement(this)">+</button>
                                            </div>
                                        </td>
                                    </tr>
                                    @php($total+=($cart['price']*$cart['quantity'])-$minus)
                                @endforeach
                            @endif
                            </tbody>

                        </table>
                        <div class="cart-btns">
                            <div class="btn-left">
                                <input type="text" class="couponcode" placeholder="Coupon code" id="CouponCode" value="{{session('promo_discount')[0]['code']}}">
                                <a href="#" class="appycoupon" onclick="CheckCoupon()">APPLY COUPON</a>
                            </div>

                            <div class="btn-right">
                                <a href="{{url('menu')}}" class="addmore">ADD MORE</a>
                            </div>
                        </div>
                        @if(session('promo_discount'))
                            <span id="CouponCodeError" class="{{session('promo_discount')[0]['class']}}">{{session('promo_discount')[0]['message']}} {{session('promo_discount')[0]['name']}}</span>
                        @endif
                        <span id="CouponCodeError" class=""> </span>
                    </div>
                </div>
                <?php $count_addresses=0 ?>
                <div class="add-address">
                    @if ($errors->has('client_address'))
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            <strong>Address</strong> required.
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                    @endif
                    @foreach($address as $ad)
                    <div class="add-address-inner">
                        <div class="add-address-inner-item">
                            <div class="add-address-map">
                                <i class="fas fa-map-marker-alt"></i>
                            </div>
                            <div class="add-address-detail">
                                <p>{{$ad->address}}</p>
                            </div>
                            <div class="address-check">
                                <input type="radio" class="option-input radio" name="client_address" value="{{$ad->address}}"/>
                            </div>
                        </div>
                        <!-- <div class="change-address">
                            <a href="" data-toggle="modal" data-target="#edit-address"><span>Change</span></a>
                        </div> -->
                    </div>
                    @endforeach
                    <div class="addanaddress">
                        <a href="" data-toggle="modal" data-target="#add-address-popup"><i class="fas fa-plus-circle"></i>Add an address</a>
                    </div>

                    <div class="modal fade" id="add-address-popup" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true"><i class="fal fa-times-circle"></i></span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <div class="edit-address-popup">
                                        <div class="modal-editaddress">
                                            <h3>Select your location</h3>
                                            <input type="text" name="address" id="address" placeholder="TYPE YOUR ADDRESS">
                                            <a href="#" class="save-btn" id="SaveAddress" onclick="SaveAddress()">ADD ADDRESS</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                @php($PayPal_Charges = (($total+$deliveryFee)*0.0325)+$total)
                <div class="prod-delivery-main">
                    @if ($errors->has('payment_type'))
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            Select<strong> Payment</strong> type.
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                    @endif
                    <div class="prod-delivery-inner">
                        <div class="prod-delivery-inner-item">
                            <div class="delivery-imgtext">
                                <img src="{{asset('assets/img/delivery.png')}}">
                                <span>COD</span>
                            </div>
                            <div class="address-check">
                                <label>
                                    <input type="radio" class="option-input radio" name="payment_type" value="cod" id="cod" />
                                </label>
                            </div>
                        </div>
                        <div class="prod-delivery-inner-item">
                            <div class="delivery-imgtext">
                                <img src="{{asset('assets/img/delivery.png')}}">
                                <span>PayPal</span>
                            </div>
                            <div class="address-check">
                                <label>
                                    <input type="radio" class="option-input radio" name="payment_type" value="paypal" id="paypal"/>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="prod-delivery-inner" id="paypal_charges">
                        <span style="font-style: italic"><b>Please Note:</b> An additional amount of 3.25% will be charged while paying through PAYPAL. Your new total will be : {{number_format((float)$PayPal_Charges, 2, '.', '')}} PHP . Thanks</span>
                    </div>
                </div>
                <div class="cartmobiledata">
                    <div class="btn-left mobile-couponbtns">
                        <div class="mobile-couponbtns-inner">
                            <div class="couponbtn">
                                <input type="text" class="couponcode" placeholder="Coupon code"/>
                                <div class="error-check"><i class="fas fa-times-circle"></i></div>
                                <div class="greencheck" style="display: none;"><i class="fas fa-check-circle"></i></div>
                            </div>
                            <div class="apply-couponbtn">
                                <a href="" class="appycoupon">APPLY COUPON</a>
                            </div>
                        </div>
                        <span class="red-error">The promo code you entered is invalid. Please try again.</span>
                    </div>
                    <div class="cartpage-checkout-right mobile-orderdelivery">
                        <div class="cartpage-checkout-right-inner">
                            <table class="table table-borderless table-responsive">

                                <tbody>
                                <tr>
                                    <td>Order</td>
                                    <td width="300px">₱{{$total}}</td>
                                </tr>
                                <!-- <tr>
                                    <td width="240px">Delivery Fee</td>
                                    <td width="300px">₱100</td>
                                </tr> -->
                                <tr>
                                    <td>Total</td>
                                    {{ session(['cod'=>$total+$deliveryFee]) }}
                                    {{ session(['paypal'=>number_format((float)$PayPal_Charges, 2, '.', '')]) }}
                                    <td width="300px">₱{{session()->get('cod')}}</td>
                                </tr>

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="mobile-place-order">
                        <a href="{{url('menu')}}" class="addmore">ADD MORE</a>


                        <input type="hidden" name="amount" value="{{number_format((float)$PayPal_Charges, 2, '.', '')}}"/>
                        @if(session()->get('isLocationSelected'))
                            <input  class="button-order" type="submit" name="submit" value="PLACE ORDER" id="place_order">
                        @else
                            <input  class="button-order" type="button" value="PLACE ORDER" data-toggle="modal" data-target="#ordernowid-desktop">
                        @endif
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-5">
            <div class="cartpage-right">
                <div class="cartpage-checkout-right" style="position: fixed;
    width: 35%;
    z-index: 111">
                    <div class="cartpage-checkout-right-inner">
                        <table class="table table-borderless table-responsive">
{{--                            @include('boxes.subTotal_checkout_box')--}}
                            <tbody>
                            <tr>
                                <td>Subtotal</td>
                                <td width="300px">₱{{$total}}</td>
                            </tr>
{{--                            @if(session('promo_discount')[0]['promo_discount'] > 0)--}}
{{--                            <tr>--}}
{{--                                    <td width="240px">Coupon</td>--}}
{{--                                    <td width="300px">{{session('promo_discount')[0]['promo_discount']}}%</td>--}}
{{--                            </tr>--}}
{{--                            @endif--}}
                            <tr>
                                {{--    <td width="240px">Delivery Fee</td>--}}
                                {{--    <td width="300px">₱{{$deliveryFee}}</td>--}}
                            </tr>
                            <tr>
                                <td>Total</td>
                                <td width="300px">₱{{$total+$deliveryFee}}</td>
                            </tr>

                            </tbody>

                        </table>
                        <div class="cart-btn-checkout cartback-btn">
                            <a href="{{ route('menu') }}">BACK</a>
                                <input type="hidden" name="amount" value="{{number_format((float)$PayPal_Charges, 2, '.', '')}}"/>
                            @if(session()->get('isLocationSelected'))
                                <input  class="button-order" type="submit" name="submit" value="PLACE ORDER" id="place_order">
                            @else
                                <input  class="button-order" type="button" value="PLACE ORDER" data-toggle="modal" data-target="#ordernowid-desktop">
                            @endif
                        </div>
                        <div class="modal fade" id="ordernowid-desktop" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true" style="margin-top: 75px;">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">

                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <i class="fal fa-times-circle"></i>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                            <div class="select-loc">
                                                <select name="location" onchange="val()" id="mySelect" data-show-content="true" class="form-control" required>
                                                    <option  disabled="" selected="">SELECT YOUR LOCATION</option>
                                                    @foreach($locations as $location)
                                                        <option value="{{$location->location_name}}" data-content="<i class='fa fa-map-marker-alt'></i> {{$location->location_name}}"></option>
                                                    @endforeach
                                                </select>
                                            </div>
                                            <div class="orders-btn">
                                                <a  href="#" onclick="SaveLocation()" class="button-order" type="button" style="
                                            background: white;
                                            color: #68B0AB;
                                            border-radius: 10px;
                                            margin-top: 91px;
                                            /* margin-left: 113px; */
                                            margin-right: 220px;
                                            font-size: 22px;
                                            text-transform: uppercase;
                                            height: 60px;
                                            display: inline-block;
                                            line-height: 60px;
                                            width: 230px;
                                            font-weight: 500;
                                            border: none;
                                                ">SAVE</a>
                                            </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</div>
@endif
