<html>
@include('sweetalert::alert')
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>sogreen</title>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link rel="icon" href="{{asset('assets/img/favicon.png')}}" type="image/png" sizes="16x16">
    <link rel="stylesheet" href="{{asset('assets/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/custom.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/responsive.css')}}">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@300;400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.14.0/css/all.css">
    <link rel="stylesheet" href="{{asset('assets/css/owl.carousel.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/owl.theme.default.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/bootstrap-select.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/jquery-ui.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/jquery-ui.theme.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/bootstrap-datetimepicker.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/semantic.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/css/timepicki.css')}}">

    @yield('styles')

</head>

{{--Navbar--}}

@include('layouts.navbar')

{{--Logo--}}
<div class="mobile-nav">
    <div class="mobilenav-btn">
        <button class="navbar-toggler" type="button" data-toggle="modal" data-target="#sidebarModal">
            <span class="navbar-toggler-icon">
            <i class="far fa-bars"></i>
            </span>
        </button>
    </div>
    <div class="mobilescreen-logo">
        <a class="navbar-brand" href="#"><img src="{{asset('assets/img/logo.png')}}"></a>
    </div>
    <div class="mobilerighticons">
        <a class="nav-link carticon" href="#"><img src="{{asset('assets/img/cart.png')}}"></a>
        <a class="nav-link" href="#"><img src="{{asset('assets/img/user.png')}}"></a>
    </div>
</div>
{{--Logo END--}}

{{--Mobile Sidebar Menu START--}}
@include('layouts.mobile_sidebar_menu')

{{--Content--}}
@yield('content')

{{--Footer--}}
@include('layouts.footer')

{{--Modal--}}
@yield('modal')
<!-- FRONTEND_URL ENV -->
<input type="hidden" id="base_url" value="{{env('FRONTEND_URL')}}">
{{--Scripts--}}
@yield('scripts')
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>
<!-- Optional: include a polyfill for ES6 Promises for IE11 -->
<script src="https://cdn.jsdelivr.net/npm/promise-polyfill"></script>

<script>
    $("#about").click(function() {
        $('html,body').animate({
                scrollTop: $("#footer").offset().top},
            'slow');
    });
    $("#contactUS").click(function() {
        $('html,body').animate({
                scrollTop: $("#footer").offset().top},
            'slow');
    });
</script>
</body>
</html>
